puppylinuxでscilab4.1.2をインストールする方法

version5は2Dplotが表示されなかったりするので4.1.2をインストールすることにした。

scilabのホームページからscilab-4.1.2.bin.linux-i686.tar.gzを/optにダウンロードする。

展開するとscilab-4.1.2ができるのでそこでmakeコマンドを実行する。

libXp6のdebianパッケージをココから入手する。

undeb libxp6_1.0.0.xsf1-1_i386.deb
で展開するとusrディレクトリができる。
usrのなかのlibXp.so.6.2.0を/usr/X11R7/lib/libXp.so.6.2.0に移動させる。

同じところにlibXp.so.6.2.0の相対シンボリックリンクを作る。名前はlibXp.so.6にする。

これで、/opt/scilab-4.1.2/bin/scilabがきちんと起動できる。

Post a comment

Private comment